%define	iopver	10
%define	lvmver	1.0.1-rc4
%define	lvmver2	1.0.1rc4

Summary: Logical Volume Manager user space tools (for IOP %{iopver} kernels).
Name: lvm-tools
Version: %{lvmver2}_iop%{iopver}
Release: fr2
URL: http://sistina.com/lvm/
Source: ftp://ftp.sistina.com/pub/LVM/0.9.1_beta/lvm_%{lvmver}.tar.bz2
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
Requires: lvm-base
Conflicts: lvm <= 0.8.1
Obsoletes: lvm <= 0.8.1
Obsoletes: lvm-iop9, lvm-iop9-lib, lvm-iop9-man
Obsoletes: lvm-iop10, lvm-iop10-lib, lvm-iop10-man
ExclusiveArch: i386

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, multiple
devices (MD) or even loop devices), creating volume groups (virtual disks)
from one or more physical volumes and creating one or more logical volumes
(logical partitions) in volume groups.

This package contains the LVM userspace tools for kernels that contain the
IOP %{iopver} code.  You need to install lvm-base too, since it provides a
wrapper that allows you to use kernels with LVM code of different IOP
versions without changing anything after a reboot.

%prep
%setup -q -n LVM/%{lvmver}

%build
export CFLAGS="-g -march=i386 -mcpu=i686"
./configure \
	--prefix=%{_prefix} \
	--exec_prefix=/ \
	--sbindir=/lib/lvm-iop%{iopver} \
	--mandir=%{_mandir}
make

%install
rm -rf %{buildroot}
make install \
	prefix=%{buildroot}%{_prefix} \
	exec_prefix=%{buildroot} \
	sbindir=%{buildroot}/lib/lvm-iop%{iopver} \
	mandir=%{buildroot}/%{_mandir}

pushd %{buildroot}/lib
	strip liblvm-%{iopver}.so.1.0
	ln -sf liblvm-%{iopver}.so.1.0 liblvm-%{iopver}.so.1
	ln -sf liblvm-%{iopver}.so.1.0 liblvm-%{iopver}.so
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ABSTRACT CHANGELOG CONTRIBUTORS COPYING* FAQ KNOWN_BUGS LVM-HOWTO README
%doc TODO WHATSNEW
%attr(755, root, root) /lib/*.so*
%dir /lib/lvm-iop%{iopver}
%attr(755, root, root) /lib/lvm-iop%{iopver}/*

%changelog
* Fri Oct 26 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Build without the "-O2" flag to avoid a segfault with recent kernels
  (I had the problem and saw this workaround on Sistina's bugzilla!)

* Sun Oct 21 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec cleanup.
- Update to 1.0.1-rc4.
- Merged the lib package and removed the man one since they're now into the
  main lvm-base package that should be kept at the most current version.
- Stripped the liblvm file (darn those 644 modes...)

* Wed May 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Cleanup for Red Hat 7.1.

* Thu Mar 26 2001 AJ Lewis <lewis@sistina.com>
+ 0.9.1_beta7-1
- upstream revision update

* Tue Mar 13 2001 Andrew Lewis <lewis@sistina.com>
+ 0.9.1_beta6-1
- modified to work with Beta6 and the new lib naming scheme (liblvm-${IOP}.so)
- split into three separate packages: tools, libs, and manpages
- libs need to be separate because of different licenses

* Wed Dec 20 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 0.9-2cl
- fixed package summary

* Tue Dec 19 2000 Claudio Matsuoka <claudio@conectiva.com>
+ 0.9-1cl
- package created

